{{ ansible_managed | comment }}

{% for target in pgbackrest_targets %}
# stanza for {{ target.name }} cluster
[{{ target.name }}]
pg1-path={{ target.data_dir | default(postgres_data_dir) }}
{% if pgbackrest_server |default(False) is sameas True %}
pg1-host={{ target.host }}
{% endif %}

{% endfor %}
[global]
log-level-file=detail
{% if pgbackrest_server |default(False) is sameas True %}
repo1-path={{ pgbackrest_backup_directory }}
repo1-retention-full={{ pgbackrest_backup_retention_full }}
start-fast=y

[global:archive-push]
compress-level={{ pgbackrest_compress_level }}
{% else %}
repo1-host={{ groups['backup-servers'][0] | default('backup-server-goes-here') }}
{% endif %}
